#
# TODO: disable non-FIPS (md*), currently fails with "Error ensuring FIPS mode."
#
Summary:	Tools for computing and checking HMAC values for files
Name:		hmaccalc
Version:	0.9.14
Release:	2
License:	BSD
Group:		Base
Source0:	https://fedorahosted.org/released/hmaccalc/%{name}-%{version}.tar.gz
# Source0-md5:	93cde34427cfbedfbdf8a468cfa65d20
URL:		https://fedorahosted.org/hmaccalc/
Patch0:		no-md4.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The hmaccalc package contains tools which can calculate HMAC
(hash-based message authentication code) values for files. The names
and interfaces are meant to mimic the sha*sum tools provided by the
coreutils package.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--enable-sum-directory=%{_libdir}/%{name} \
	--enable-non-fips

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/md2hmac
%attr(755,root,root) %{_bindir}/md5hmac
%attr(755,root,root) %{_bindir}/sha1hmac
%attr(755,root,root) %{_bindir}/sha256hmac
%attr(755,root,root) %{_bindir}/sha384hmac
%attr(755,root,root) %{_bindir}/sha512hmac
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/md2hmac.hmac
%{_libdir}/%{name}/md5hmac.hmac
%{_libdir}/%{name}/sha1hmac.hmac
%{_libdir}/%{name}/sha256hmac.hmac
%{_libdir}/%{name}/sha384hmac.hmac
%{_libdir}/%{name}/sha512hmac.hmac
%{_mandir}/man8/*hmac.8*
%changelog
* Sat Jul 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hmaccalc.git;a=log;h=master

* Sat Jul 02 2016 Jan Rękorajski <baggins@pld-linux.org> 21011c5
- drop prelink, the tool is outdated, unmaintained and does more harm than good
- rel 2

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f052240
- up to 0.9.14

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4eb3d77
- do not depend prelink at build time

* Mon Mar 26 2012 Jan Rękorajski <baggins@pld-linux.org> 8a07f86
- new

